package com.brilliance.isc.common.api.codetable.service;

import com.brilliance.isc.bo.Bopcod;
import com.brilliance.isc.common.api.codetable.vo.CodetableRequestVo;
import com.brilliance.isc.common.api.codetable.vo.CodetableResponseVo;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.manager.StbVo;

import java.util.List;
import java.util.Map;

public interface CodetableCommonService {

    CodetableResponseVo getSetmodCodetable(CodetableRequestVo request);

    List<Bopcod> getBopcodList(CodetableRequestVo request);

    List<Bopcod> getBopcod(CodetableRequestVo request);

    List<StbVo> opnenConfig(StbVo stbVo);

    List<String> getPriIntAcctList(String ptyinr, String cur, String dsp);

    Map<String, String> getMarginAcct(String objinr, String objtyp);

    ResponseSet getBopCnyctyCodeList(Map<String, Object> map);

    // 根据科目代码获取账号列表
    List<String> getAccListByTrmtyp(CodetableRequestVo request);

    Map<String, String> getSwtInfo(String ptainr);
}
